unit Unit1;

interface

uses
  Windows, Forms, Dialogs, ExtCtrls, StdCtrls, Controls, ComCtrls, Classes,
  SysUtils, Iconchanger;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    edtFile: TEdit;
    btnTarget: TButton;
    Stat: TStatusBar;
    GroupBox2: TGroupBox;
    Bevel1: TBevel;
    btnLoad: TButton;
    GroupBox3: TGroupBox;
    MemoAbout: TMemo;
    GroupBox4: TGroupBox;
    btnChange: TButton;
    btnCancel: TButton;
    lblUrl: TLabel;
    imgIcon: TImage;
    OpenDialog: TOpenDialog;
    edtIconPath: TEdit;
    procedure btnTargetClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
    procedure btnLoadClick(Sender: TObject);
    procedure btnChangeClick(Sender: TObject);
    procedure lblUrlClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1      : TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnTargetClick(Sender: TObject);
begin
  OpenDialog.FileName := '*.exe*'; //another way to filter
  OpenDialog.Execute; //Executes open dialog
  
  //Small If statement using FileExists(); from SysUtils
  if FileExists(OpenDialog.FileName) then
  begin
    edtFile.Text := OpenDialog.FileName;
  end;
end;

procedure TForm1.btnCancelClick(Sender: TObject);
begin
  //Terminates application
  Halt(0);
end;

procedure TForm1.btnLoadClick(Sender: TObject);
begin
//Look at btnTarget's OnClick event to understand the code below

  OpenDialog.FileName := '*.ico*';
  OpenDialog.Execute;

  if FileExists(OpenDialog.FileName) then
  begin
    edtIconPath.Text := OpenDialog.FileName;
    imgIcon.Picture.LoadFromFile(edtIconPath.Text);
  end;
end;

procedure TForm1.btnChangeClick(Sender: TObject);
begin
  //procedure from iconchanger.pas
  iconchanger.UpdateApplicationIcon(PChar(edtIconPath.Text), PChar(edtFile.Text));
  Stat.SimpleText := 'Updated Applications icon succesfully!';
end;

procedure TForm1.lblUrlClick(Sender: TObject);
begin
  ShowMessage('Please visit http://critical-zone.com for more source codes etc...');
end;

end.
